Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.client
Class XmlRpcSun15HttpTransportFactory

    java.lang.Object
      org.apache.xmlrpc.client.XmlRpcTransportFactoryImpl
          org.apache.xmlrpc.client.XmlRpcSun14HttpTransportFactory
              org.apache.xmlrpc.client.XmlRpcSun15HttpTransportFactory

All Implemented Interfaces:
  XmlRpcTransportFactory

    public class XmlRpcSun15HttpTransportFactory

extends XmlRpcSun14HttpTransportFactory

Default implementation of an HTTP transport in Java 1.5, based on the `HttpURLConnection` class.

Constructor Summary
`XmlRpcSun15HttpTransportFactory(XmlRpcClient pClient)` Creates a new factory, which creates transports for the given client.

Method Summary
`XmlRpcTransport` | `getTransport()` Returns an instance of `XmlRpcTransport`.
`void` | `setProxy(java.net.Proxy pProxy)` Sets the proxy to use.
`void` | `setProxy(java.lang.String proxyHost, int proxyPort)` Sets the proxy to use.

Methods inherited from class org.apache.xmlrpc.client.XmlRpcSun14HttpTransportFactory
`getSSLSocketFactory, setSSLSocketFactory`

Methods inherited from class org.apache.xmlrpc.client.XmlRpcTransportFactoryImpl
`getClient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlRpcSun15HttpTransportFactory

    public XmlRpcSun15HttpTransportFactory(XmlRpcClient pClient)

  Creates a new factory, which creates transports for the given client.

  Parameters:
    `pClient` - The client, which is operating the factory.

Method Detail

### setProxy

    public void setProxy(java.lang.String proxyHost,
                         int proxyPort)

  Sets the proxy to use.

  Parameters:
    `proxyHost` - The proxy hostname.
    `proxyPort` - The proxy port number.
  Throws:
    `java.lang.IllegalArgumentException` - if the proxyHost parameter is null or if the proxyPort parameter is outside the range of valid port values.

### setProxy

    public void setProxy(java.net.Proxy pProxy)

  Sets the proxy to use.

  Parameters:
    `pProxy` - The proxy settings.

### getTransport

    public XmlRpcTransport getTransport()

  Description copied from interface: `XmlRpcTransportFactory`
  Returns an instance of `XmlRpcTransport`. This may be a singleton, but the caller should not depend on that: A new instance may as well be created for any request.

  Specified by:
    `getTransport` in interface `XmlRpcTransportFactory`
  Overrides:
    `getTransport` in class `XmlRpcSun14HttpTransportFactory`
  Returns:
    The configured transport.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.